%define name	dot2tex
%define version 2.8.7
%define release %mkrel 5

Summary:	Graphviz to LaTeX converter
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.zip
License:	MIT
Group:		Publishing
Url:		http://www.fauskes.net/code/dot2tex/

BuildArch:	noarch
Requires:	python-parsing
Requires:	emacs-auctex
Requires:	graphviz
Suggests:	texlive
%py_requires -d 

%description
The purpose of dot2tex is to give graphs generated by Graphviz a more
LaTeX friendly look and feel. This is accomplished by converting dot
output from Graphviz to a series of PSTricks or PGF/TikZ
commands. This approach allows:

* Typesetting labels with LaTeX, allowing mathematical notation.
* Using native PSTricks and PGF/TikZ commands for drawing arrows (optional).
* Using back-end specific styles to customize the output

Dot2tex can preprocess graphs using the preview package. Information
about label sizes will be extracted and used to get correctly sized
nodes and edge labels.

%prep
%setup -q

%build

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST
%__chmod -R o-w *.txt LICENSE doc/ examples
%__chmod -R g-w *.txt LICENSE doc/ examples

%files -f FILE_LIST
%doc *.txt LICENSE doc/* examples/




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.8.7-5.mga3
+ Revision: 349066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 malo <malo> 2.8.7-4.mga3
+ Revision: 328886
- update RPM group

* Sat Feb 11 2012 malo <malo> 2.8.7-3.mga2
+ Revision: 207357
- spec clean-up after import from Mandriva (spec from Lev Givon)
- imported package dot2tex

